Mojolicious::Command::Author::generate::dockerfile(3)

NAME
Mojolicious::Command::Author::generate::dockerfile - Dockerfile generator command

SYNOPSIS
  Usage: APPLICATION generate dockerfile [OPTIONS]

    ./myapp.pl generate dockerfile
    ./script/my_app generate dockerfile

  Options:
    -h, --help   Show this summary of available options

DESCRIPTION
Mojolicious::Command::Author::generate::dockerfile generates "Dockerfile" for applications.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::Author::generate::dockerfile inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $dockerfile->description;
  $dockerfile     = $dockerfile->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage   = $dockerfile->usage;
  $dockerfile = $dockerfile->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::Author::generate::dockerfile inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $dockerfile->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.